## org.eclipse.emf.compare.diff.metamodel
Interface AbstractDiffExtension

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AbstractDiffExtensionImpl

    public interface AbstractDiffExtension

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Abstract Diff Extension'. These can be used to extend the DiffModel so that DiffElements can be collapsed under a single high level difference

The following features are supported:

- `Hide Elements`
- `Is Collapsed`

See Also:
  `DiffPackage.getAbstractDiffExtension()`

Method Summary
`org.eclipse.emf.common.util.EList<DiffElement>` `getHideElements()` Returns the value of the 'Hide Elements' reference list.
`java.lang.Object` `getImage()`
`java.lang.String` `getText()`
`boolean` `isIsCollapsed()` Returns the value of the 'Is Collapsed' attribute.
`IMerger` `provideMerger()`
`void` `setIsCollapsed(boolean value)` Sets the value of the '`Is Collapsed`' attribute
`void` `visit(DiffModel diffModel)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHideElements

    org.eclipse.emf.common.util.EList<DiffElement> getHideElements()

  Returns the value of the 'Hide Elements' reference list. The list contents are of type `DiffElement`. It is bidirectional and its opposite is ' `Is Hidden By`'.

  If the meaning of the 'Hide Elements' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Hide Elements' reference list.
  See Also:
    `DiffPackage.getAbstractDiffExtension_HideElements()`, `DiffElement.getIsHiddenBy()`

### getImage

    java.lang.Object getImage()

### getText

    java.lang.String getText()

### isIsCollapsed

    boolean isIsCollapsed()

  Returns the value of the 'Is Collapsed' attribute. The default value is `"false"`.

  If the meaning of the 'Is Collapsed' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Collapsed' attribute.
  See Also:
    `setIsCollapsed(boolean)`, `DiffPackage.getAbstractDiffExtension_IsCollapsed()`

### provideMerger

    IMerger provideMerger()

### setIsCollapsed

    void setIsCollapsed(boolean value)

  Sets the value of the '`Is Collapsed`' attribute.

  Parameters:
    `value` - the new value of the 'Is Collapsed' attribute.
  See Also:
    `isIsCollapsed()`

### visit

    void visit(DiffModel diffModel)

Copyright 2006 IBM Corporation and others. All Rights Reserved.